> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# ユーザーサブスクリプションを取得

GET https://api.elevenlabs.io/v1/user/subscription

ユーザーのサブスクリプションに関する拡張情報を取得します。

Reference: https://elevenlabs.io/docs/api-reference/user/subscription/get

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Response

### 200

成功レスポンス。

- `tier` (string, required) — ユーザーのサブスクリプションのティアです。
- `character_count` (integer, required) — ユーザーが使用した文字数。
- `character_limit` (integer, required) — 現在の請求期間に許可される最大文字数。
- `max_character_limit_extension` (integer, required, nullable) — 非推奨：`max_credit_limit_extension`を使用してください。文字数上限を超過できる最大文字数。ワークスペース管理者が管理します。
- `max_credit_limit_extension` (ExtendedSubscriptionResponseModelMaxCreditLimitExtension, required) — クレジット上限を超過できる最大クレジット数。ワークスペース管理者が管理します。`"unlimited"`は上限なし、`0`は従量課金が無効であることを意味します。
- `can_extend_character_limit` (boolean, required) — ワークスペースが超過分（従量課金）を利用できるかどうか。
- `allowed_to_extend_character_limit` (boolean, required) — 非推奨：`max_credit_limit_extension != 0`を使用してください。ユーザーに文字数上限の拡張が許可されているかどうか。
- `voice_slots_used` (integer, required) — ユーザーが使用した音声スロット数。
- `professional_voice_slots_used` (integer, required) — 使用中のプロフェッショナル音声スロット数。統合請求では、グループ内のすべてのワークスペースを対象としたグループ全体の数です。現在のワークスペースのみの数はprofessional_voice_slots_used_in_workspaceを参照してください。
- `professional_voice_slots_used_in_workspace` (integer, required) — 現在のワークスペースで使用中のプロフェッショナル音声スロット数。統合請求では、professional_voice_slots_usedはグループ内のすべてのワークスペースを対象に集計しますが、これは現在のワークスペースのみを対象に集計します。
- `voice_limit` (integer, required) — ユーザーに許可される音声スロットの最大数。
- `voice_add_edit_counter` (integer, required) — ユーザーが使用した音声の追加・編集回数。
- `professional_voice_limit` (integer, required) — ユーザーに許可されるプロフェッショナル音声の最大数。
- `can_extend_voice_limit` (boolean, required) — ユーザーが音声数の上限を拡張できるかどうか。
- `can_use_instant_voice_cloning` (boolean, required) — ユーザーがインスタントボイスクローンを使用できるかどうか。
- `can_use_professional_voice_cloning` (boolean, required) — ユーザーがプロフェッショナルボイスクローンを使用できるかどうか。
- `current_overage` (Price, required) — 現在の従量制超過料金。
- `status` (enum, required) — ユーザーのサブスクリプションのステータス。
  - Allowed values: `trialing`, `active`, `incomplete`, `past_due`, `free`, `free_disabled`
- `open_invoices` (list of InvoiceResponseModel, required) — ユーザーの未払い請求書。
- `has_open_invoices` (boolean, required) — ユーザーに未払いの請求書があるかどうか。
- `next_character_count_reset_unix` (integer, optional, nullable) — 次回の文字数カウントのリセット日時を示すUnixタイムスタンプです。
- `max_voice_add_edits` (integer, optional, nullable) — ユーザーに許可される音声の追加・編集の最大数。
- `currency` (enum, optional, nullable) — ユーザーのサブスクリプションの通貨。
  - Allowed values: `usd`, `eur`, `inr`, `pln`, `gbp`
- `billing_period` (enum, optional, nullable) — ユーザーのサブスクリプションの請求期間。
  - Allowed values: `monthly_period`, `3_month_period`, `6_month_period`, `annual_period`
- `character_refresh_period` (enum, optional, nullable) — ユーザーのサブスクリプションにおける文字数の更新期間。
  - Allowed values: `monthly_period`, `3_month_period`, `6_month_period`, `annual_period`
- `next_invoice` (InvoiceResponseModel, optional, nullable) — ユーザーの次の請求書。
- `pending_change` (ExtendedSubscriptionResponseModelPendingChange, optional, nullable) — ユーザーの保留中の変更。
- `has_used_starter_coupon_on_account` (boolean, optional, default: false) — このユーザーの認証アカウントが所有するいずれかのワークスペースで、スターターの初月割引クーポンが利用済みの場合はtrueです。
- `has_used_creator_coupon_on_account` (boolean, optional, default: false) — このユーザーの認証アカウントが所有するいずれかのワークスペースで、クリエイターの初月割引クーポンが利用済みの場合はtrueです。
- `is_eligible_for_starter_promo` (boolean, optional, default: false) — チェックアウトと同じ判定により、このユーザーの認証アカウントがスターターの初月プロモーションの対象である場合はtrueです。プロモーションを提供するかどうかは、引き続きstarter_discount機能フラグによって決まります。

## Errors

### 422 Unprocessable Entity Error

検証エラー

- `detail` (list of ValidationError, optional)

## Types

### ExtendedSubscriptionResponseModelMaxCreditLimitExtension

クレジット上限を超過できる最大クレジット数。ワークスペース管理者が管理します。`"unlimited"`は上限なし、`0`は従量課金が無効であることを意味します。

### Price

通貨と金額のペア。

- `amount` (string, required)
- `currency` (enum, required)
  - Allowed values: `usd`, `eur`, `inr`, `pln`, `gbp`

### InvoiceResponseModel

- `amount_due_cents` (integer, required) — 支払額（セント）。
- `discounts` (list of DiscountResponseModel, required) — 請求書に適用される割引。
- `next_payment_attempt_unix` (integer, required) — 次回の支払い試行のUnixタイムスタンプです。次回の支払い試行がない場合は-1です。
- `payment_intent_status` (enum, required, nullable) — 非推奨。代わりに[payment_intent_statusses]を使用してください。この請求書の最初の支払いインテントのステータスです。支払いインテントがない場合はNoneです。
  - Allowed values: `canceled`, `processing`, `requires_action`, `requires_capture`, `requires_confirmation`, `requires_payment_method`, `succeeded`
- `payment_intent_statusses` (list of enum, required) — この請求書の支払いインテントのステータス。支払いインテントがない場合は空のリストです。
  - Allowed values: `canceled`, `processing`, `requires_action`, `requires_capture`, `requires_confirmation`, `requires_payment_method`, `succeeded`
- `subtotal_cents` (integer, optional, nullable) — 税金前の小計額（セント単位、税金および割引を除く）。
- `tax_cents` (integer, optional, nullable) — 税額（セント単位）。
- `discount_percent_off` (double, optional, nullable) — 非推奨。代わりに[discounts]を使用してください。請求書に適用される割引です。例：20％割引の場合は[20.0f]。
- `discount_amount_off` (double, optional, nullable) — 非推奨。代わりに[discounts]を使用してください。請求書に適用される割引です。例：20セント引きの場合は[20.0f]。

### ExtendedSubscriptionResponseModelPendingChange

ユーザーの保留中の変更。

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### DiscountResponseModel

- `discount_percent_off` (double, optional, nullable) — 請求書に適用される割引。例：20％引きの場合は[20.0f]。
- `discount_amount_off` (double, optional, nullable) — 請求書に適用される割引。例：20セント引きの場合は[20.0f]。

### PendingSubscriptionSwitchResponseModel

- `next_tier` (enum, required) — 変更先のティアです。
  - Allowed values: `free`, `starter`, `go`, `creator`, `pro`, `growing_business`, `scale_2024_08_10`, `grant_tier_1_2025_07_23`, `grant_tier_2_2025_07_23`, `grant`, `trial`, `enterprise`
- `next_billing_period` (enum, required) — 変更先の請求期間。
  - Allowed values: `monthly_period`, `3_month_period`, `6_month_period`, `annual_period`
- `timestamp_seconds` (integer, required) — 変更のタイムスタンプです。
- `kind` ("change", optional, default: change)

### PendingCancellationResponseModel

- `timestamp_seconds` (integer, required) — キャンセルのタイムスタンプです。
- `kind` ("cancellation", optional, default: cancellation)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "tier": "starter",
  "character_count": 1000,
  "character_limit": 10000,
  "max_character_limit_extension": 10000,
  "max_credit_limit_extension": 10000,
  "can_extend_character_limit": true,
  "allowed_to_extend_character_limit": true,
  "voice_slots_used": 1,
  "professional_voice_slots_used": 0,
  "professional_voice_slots_used_in_workspace": 0,
  "voice_limit": 10,
  "voice_add_edit_counter": 0,
  "professional_voice_limit": 1,
  "can_extend_voice_limit": true,
  "can_use_instant_voice_cloning": true,
  "can_use_professional_voice_cloning": true,
  "current_overage": {
    "amount": "0",
    "currency": "usd"
  },
  "status": "active",
  "open_invoices": [
    {
      "amount_due_cents": 1000,
      "discounts": [
        {
          "discount_percent_off": 20
        }
      ],
      "next_payment_attempt_unix": 1738356858,
      "payment_intent_status": "processing",
      "payment_intent_statusses": [
        "processing",
        "succeeded"
      ],
      "subtotal_cents": 900,
      "tax_cents": 100
    }
  ],
  "has_open_invoices": true,
  "next_character_count_reset_unix": 1738356858,
  "currency": "usd",
  "billing_period": "monthly_period",
  "character_refresh_period": "monthly_period",
  "next_invoice": {
    "amount_due_cents": 1000,
    "discounts": [
      {
        "discount_percent_off": 20
      }
    ],
    "next_payment_attempt_unix": 1738356858,
    "payment_intent_status": "processing",
    "payment_intent_statusses": [
      "processing",
      "succeeded"
    ],
    "subtotal_cents": 900,
    "tax_cents": 100
  },
  "has_used_starter_coupon_on_account": false,
  "has_used_creator_coupon_on_account": false,
  "is_eligible_for_starter_promo": false
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/user/subscription"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/user/subscription';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/user/subscription"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/user/subscription")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/user/subscription")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/user/subscription');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/user/subscription");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/user/subscription")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```